Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: security::PasswordSettings Struct Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
security::PasswordSettings Struct Reference

Password settings. More...

`import "Security.idl";`

## Public Attributes
boolean | enableAging
| `true` to enable password aging
int | agingInterval
| Aging interval in days.
boolean | enableStrongReq
| `true` to enable strong password requirements
int | minPwLength
| Minimum password length.
int | maxPwLength
| Maximum password length.
boolean | enforceLower
| Passwords must contain at least one lower case character.
boolean | enforceUpper
| Passwords must contain at least one upper case character.
boolean | enforceNumeric
| Passwords must contain at least one numeric character.
boolean | enforceSpecial
| Passwords must contain at least one special character.
int | pwHistoryDepth
| Number of entries in password history.

## Detailed Description

Password settings.

Definition at line 64 of file Security.idl.

## Member Data Documentation

## ◆ agingInterval

int security::PasswordSettings::agingInterval

Aging interval in days.

Definition at line 66 of file Security.idl.

## ◆ enableAging

boolean security::PasswordSettings::enableAging

`true` to enable password aging

Definition at line 65 of file Security.idl.

## ◆ enableStrongReq

boolean security::PasswordSettings::enableStrongReq

`true` to enable strong password requirements

Definition at line 67 of file Security.idl.

## ◆ enforceLower

boolean security::PasswordSettings::enforceLower

Passwords must contain at least one lower case character.

Definition at line 70 of file Security.idl.

## ◆ enforceNumeric

boolean security::PasswordSettings::enforceNumeric

Passwords must contain at least one numeric character.

Definition at line 72 of file Security.idl.

## ◆ enforceSpecial

boolean security::PasswordSettings::enforceSpecial

Passwords must contain at least one special character.

Definition at line 73 of file Security.idl.

## ◆ enforceUpper

boolean security::PasswordSettings::enforceUpper

Passwords must contain at least one upper case character.

Definition at line 71 of file Security.idl.

## ◆ maxPwLength

int security::PasswordSettings::maxPwLength

Maximum password length.

Definition at line 69 of file Security.idl.

## ◆ minPwLength

int security::PasswordSettings::minPwLength

Minimum password length.

Definition at line 68 of file Security.idl.

## ◆ pwHistoryDepth

int security::PasswordSettings::pwHistoryDepth

Number of entries in password history.

Definition at line 74 of file Security.idl.

The documentation for this struct was generated from the following file:

- Security.idl